---
sidebar_position: 1
description: Add task time accounting and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Add task time accounting
 Adds information about the user's time spent to the task



`Function AddTaskTimeAccounting(Val URL, Val TaskID, Val Time, Val UserID = "", Val Text = "", Val SetupDate = "", Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | TaskID | --task | String, Number | &#x2714; | ID of task for time accounting |
  | Time | --amount | String, Number | &#x2714; | Time spent in seconds |
  | UserID | --user | String, Number | &#x2716; | ID of user for time accounting |
  | Text | --text | String | &#x2716; | Comment text |
  | SetupDate | --date | String | &#x2716; | Date the record was set |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [task.elapseditem.add](https://dev.1c-bitrix.ru/rest_help/tasks/task/elapseditem/add.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL    = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    TaskID = "9044";

    Time = 3600;

    Result = OPI_Bitrix24.AddTaskTimeAccounting(URL, TaskID, Time);

    URL   = "b24-ar17wx.bitrix24.by";
    Token = "6ad03969006e9f06006b12e400000001000...";

    Text      = "Time spent on work";
    UserID    = 10;
    Time      = 7200;
    SetupDate = AddMonth(OPI_Tools.GetCurrentDate(), -1);

    Result = OPI_Bitrix24.AddTaskTimeAccounting(URL
        , TaskID
        , Time
        , UserID
        , Text
        , SetupDate
        , Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 AddTaskTimeAccounting \
             --url "b24-ar17wx.bitrix24.by" \
             --task "9054" \
             --amount 7200 \
             --user 10 \
             --text "Time spent on work" \
             --date "2025-11-10T19:55:49.7214051" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 AddTaskTimeAccounting ^
             --url "b24-ar17wx.bitrix24.by" ^
             --task "9054" ^
             --amount 7200 ^
             --user 10 ^
             --text "Time spent on work" ^
             --date "2025-11-10T19:55:49.7214051" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": 3334,
 "time": {
  "start": 1765396551,
  "finish": 1765396551.66263,
  "duration": 0.662626028060913,
  "processing": 0,
  "date_start": "2025-12-10T19:55:51+00:00",
  "date_finish": "2025-12-10T19:55:51+00:00",
  "operating_reset_at": 1765397151,
  "operating": 0
 }
}
```
